# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure("2") do |config|
  config.vm.box = "ubuntu/focal64"
  config.vm.define "backtester"
  config.vm.network "forwarded_port", guest: 8080, host: 3000, id: 'node_app'
  config.vm.provider "virtualbox" do |v|
    v.memory = 2048
  end
  config.vm.provision "shell", path: "vagrant/install.sh"
  config.vm.provision "compile", type: "shell", run: "always" do |s|
    s.path = "vagrant/compile.sh"
  end
  config.vm.provision "webapp", type: "shell", run: "always" do |s|
    s.path = "vagrant/webapp.sh"
  end
end

